Subject: bug#43615: 26.3; eshell: face for directory and symlink the same in terminal

From: [email-masked] (Alfred M. Szmidt)
Date: Fri, 25 Sep 2020 13:50:12 -0400

>    > The color for symlinks and directories is the same on the terminal in
   >    > OpenBSD, though the face differs (eshell-ls-symlink which is Cyan
   >    > vs. eshell-ls-directory which is SkyBlue).  This is slightly
   >    > confusing, since if the symlink points to a file, one might assume
   >    > that one can change directories there.
   > 
   >    On the same terminal, if you start "M-x shell" and invoke 'ls', which
   >    colors do you see for these two file types?
   > 
   > It is a grey color; nor is there a face associated with either of the
   > two file types.

   Even if you say "ls --color=always"?

   And how do the colors look when you invoke 'ls --color' from the
   shell?

OpenBSD ls doesn't support the --color option (or colors I think?),
not sure I understand why that matters since I think eshell ls does it
all in Emacs Lisp without using any host ls command?